/*
 * Contributor(s): Natasha Noy noy@smi.stanford.edu
 */
package org.bioontology.bioportal.metadata;

public class Names {
	public static final String ONTOLOGY_NAME_PROPERTY = "OMV:name";
	public static final String ONTOLOGY_ACRONYM_PROPERTY = "OMV:acronym";
	public static final String ONTLOGY_CREATION_DATE_PROPERTY = "OMV:creationDate";
	public static final String ONTOLOGY_DESCRIPTION_PROPERTY = "OMV:description";
	public static final String ONTOLOGY_DOCUMENTATION_PROPERTY = "OMV:documentation";
	public static final String ONTOLOGY_ENDORSED_BY_PROPERTY = "OMV:endorsedBy";
	public static final String ONTOLOGY_DOMAIN_PROPERTY = "OMV:domain";
	public static final String ONTOLOGY_LANGUAGE_PROPERTY = "OMV:ontologyLanguage";
	public static final String ONTOLOGY_KEY_CLASSES_PROPERTY = "OMV:keyClasses";
	public static final String ONTOLOGY_KEYWORDS_PROPERTY = "OMV:keywords";
	
	public static final String VIRTUAL_ONTOLOGY_CLASS = "VirtualOntology";
	public static final String OMV_ONTOLOGY_CLASS = "OMV:Ontology";
	public static final String VIRTUAL_URI_PROPERTY = "virtualURI";
	public static final String CURRENT_VERSION_PROPERTY = "currentVersion";
	public static final String HAS_VERSIONS_PROPERTY = "hasVersions";
	public static final String HAS_VIEWS_PROPERTY = "hasViews";
	
	public static final String ANNOTATES_BY_VIRTUAL_ID_PROPERTY = "annotatesByVirtualID";
	public static final String ASSOCIATED_ANNOTATIONS_PROPERTY = "changes:associatedAnnotations";
	public static final String ANNOTATES_PROPERTY = "changes:annotates";

	
	public static final String REVIEW_CLASS = "Review";

	public static final String EVALUATION_DIMENSION_CLASS = "EvaluationDimension";
	public static final String NUMERIC_RATING_PROPERTY = "rating";
	public static final String TEXTUAL_REVIEW_PROPERTY = "textualReview";

		
	public static final String [] CORE_PROPERTY_NAMES = new String [] {
		ONTOLOGY_NAME_PROPERTY, 
		ONTOLOGY_ACRONYM_PROPERTY,
		ONTLOGY_CREATION_DATE_PROPERTY,
		ONTOLOGY_DESCRIPTION_PROPERTY,
		ONTOLOGY_DOCUMENTATION_PROPERTY, 
		ONTOLOGY_ENDORSED_BY_PROPERTY,
		ONTOLOGY_DOMAIN_PROPERTY,
		ONTOLOGY_LANGUAGE_PROPERTY,
		ONTOLOGY_KEY_CLASSES_PROPERTY,
		ONTOLOGY_KEYWORDS_PROPERTY
	}; // note: the order in this list matters: this order will be used in the metadata screen
	
	public static final String [] SUMMARY_PROPERTY_NAMES = new String [] {
		ONTOLOGY_NAME_PROPERTY,
		ONTLOGY_CREATION_DATE_PROPERTY
	};
	
	public static final String QUALITY_OF_CONTENT_REVIEW = "qualityOfContentReview";
	public static final String USABILITY_REVIEW = "usabilityReview";
	public static final String CORRECTNESS_REVIEW = "correctnessReview";
	public static final String DOMAIN_COVERAGE_REVIEW = "domainCoverageReview";
	public static final String DOCUMENTATION_AND_SUPPORT_REVIEW = "documentationAndSupportReview";
	public static final String DEGREE_OF_FORMALITY_REVIEW = "degreeOfFormalityReview";
	

	public static final String [] REVIEW_DIMENSIONS = new String [] {
		QUALITY_OF_CONTENT_REVIEW,
		USABILITY_REVIEW,
		CORRECTNESS_REVIEW,
		DOMAIN_COVERAGE_REVIEW,
		DOCUMENTATION_AND_SUPPORT_REVIEW,
		DEGREE_OF_FORMALITY_REVIEW
	};
}
