/*
 * Contributor(s): Natasha Noy noy@smi.stanford.edu
 */
package org.bioontology.bioportal.metadata;

import java.net.*;
import java.util.*;

import edu.stanford.smi.protege.util.*;
import edu.stanford.smi.protegex.owl.model.*;

public class Util {

	/**
	 * Returns a virtual ontology object corresponding to the URI.
	 * 
	 * If the object doesn't exist, creates a new one
	 * 
	 * @param virtualOntologyURI a virtual URI
	 */
	public static OWLIndividual getVirtualOntologyFromURI(URI virtualOntologyURI) {
		OWLIndividual virtualOntologyInstance = null;
		
		Collection<OWLIndividual> virtualOntologies = Constants.bioportalMetadataOntology.getFramesWithValue(Constants.virtualURIProperty, null, false, virtualOntologyURI.toString());
		if (virtualOntologies == null || virtualOntologies.isEmpty()) {
			virtualOntologyInstance = (OWLIndividual) Constants.virtualOntologyClass.createInstance(virtualOntologyURI.toString());
			virtualOntologyInstance.setPropertyValue(Constants.virtualURIProperty, virtualOntologyURI.toString());
		} else {
			virtualOntologyInstance = (OWLIndividual) CollectionUtilities.getFirstItem(virtualOntologies);
		}

		return virtualOntologyInstance;
	}


}
